curl --request GET \
--url https://api.tessie.com/{vin}/roles \
--header 'Authorization: Bearer <token>'{
"result": {
"owner": {
"entity_type": "PERSON",
"account_id": "123456789",
"federation_id": "abcdef12-3456-7890-abcd-ef1234567890",
"company_name": null,
"email": "owner@example.com"
},
"drivers": [
{
"entity_type": "PERSON",
"account_id": "987654321",
"federation_id": "fedcba98-7654-3210-fedc-ba9876543210",
"company_name": null,
"email": "driver@example.com"
}
],
"payers": {
"subscription": {
"entity_type": "BUSINESS",
"account_id": "555555555",
"federation_id": "11111111-2222-3333-4444-555555555555",
"company_name": "Example Fleet",
"email": "billing@example.com"
},
"charging": {
"entity_type": "PERSON",
"account_id": "123456789",
"federation_id": "abcdef12-3456-7890-abcd-ef1234567890",
"company_name": null,
"email": "owner@example.com"
}
}
}
}Returns the owner, drivers and assigned payer roles for a vehicle. Requires a Tesla Business account.
curl --request GET \
--url https://api.tessie.com/{vin}/roles \
--header 'Authorization: Bearer <token>'{
"result": {
"owner": {
"entity_type": "PERSON",
"account_id": "123456789",
"federation_id": "abcdef12-3456-7890-abcd-ef1234567890",
"company_name": null,
"email": "owner@example.com"
},
"drivers": [
{
"entity_type": "PERSON",
"account_id": "987654321",
"federation_id": "fedcba98-7654-3210-fedc-ba9876543210",
"company_name": null,
"email": "driver@example.com"
}
],
"payers": {
"subscription": {
"entity_type": "BUSINESS",
"account_id": "555555555",
"federation_id": "11111111-2222-3333-4444-555555555555",
"company_name": "Example Fleet",
"email": "billing@example.com"
},
"charging": {
"entity_type": "PERSON",
"account_id": "123456789",
"federation_id": "abcdef12-3456-7890-abcd-ef1234567890",
"company_name": null,
"email": "owner@example.com"
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
Use this file to discover all available pages before exploring further.